Announcement

Collapse
No announcement yet.

Upgrading to 3.8.1 Patch level 1 from 3.7.4

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading to 3.8.1 Patch level 1 from 3.7.4

    Upgrading went smooth. No errors.

    1. Latest posts dissappeared.

    2. 50 subscribers (recent) disappeared from database. Can't search them in adminpanel with their name.

    3. 'Users to moderate' dissappeared.

    Adminpanel is showing 3.8.1 patch level 1.

    I reverted back the forum files to 3.7.4. All posts, users to moderate and users came back in database.

    How to fix this?

  • #2
    Do you mean 3.8.4?

    You cannot go backwards. Once the database is modified for 3.8.4, you must use the 3.8.4 files or revert both the database and the files.

    I would try the upgrade again, but this time disable the hook system prior to upgrading.

    To disable the plugin/hook system open your config.php which can be found in your forumroot/includes directory

    Just below
    <?php
    enter
    define('DISABLE_HOOKS', true);
    and save the file.

    Comment


    • #3
      Do you mean 3.8.4?

      You cannot go backwards.
      No. From 3.7.4 to 3.8.1.

      I had 3.7.4. I upgraded it to 3.8.1 patch level 1.

      So I upgraded. Still I need to upgrade it again by disabling hook system?

      thanks.

      Comment


      • #4
        Yes. You are running a 3.8.1 database with 3.7.4 files. That's not good.

        Comment


        • #5
          1. Disable hook system in config.php.

          2. Change back to 3.8.1 files.

          3. Run upgrade.php.

          Correct? (Sorry upgrade never failed before)

          Comment


          • #6
            Correct.

            Comment


            • #7
              thank you! I will try it now.

              What exactly this hook system do?

              Comment


              • #8
                config.php of 3.8.1 version or 3.7.4 version?

                Comment


                • #9
                  Turning off the hook system disables your modifications. Then you can run the upgrade and test your forums. If everything runs okay, turn your modifications back on by undoing the changes made to config.php as per post 2.

                  The config.php file is the same in both versions.

                  Comment


                  • #10
                    It didn't help.

                    Same problem. Recent members, users to moderate, recent posts are lost.

                    Any other advice? This is getting crazy. Recent members can not access the forums if I move to new 3.8.1 version.

                    Had move to 3.7.4 files with 3.8.1 database.

                    Comment


                    • #11
                      You keep mentioning 3.8.1. Why are you not upgrading to the latest, 3.8.4 PL1?

                      Comment


                      • #12
                        I didn't pay renewal fee this january. So 3.8.1 is the latest files I have. First I want to upgrade to 3.8.1.

                        Comment


                        • #13
                          gotcha!

                          Comment


                          • #14
                            I just checked the database. All posts and users are there. They are not displaying with 3.8.1 files. But displaying with 3.7.4 files.

                            Where could be the problem?

                            Comment


                            • #15
                              Hard to tell really. Now might be a really good time to renew so you will have access to both the ticket support system and the newer files.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X